<template>
  <div class="current-time">
    <span class="current-time__init-time">{{ currentTime }}</span>
    <div class="current-time__progress">
      <div class="current-time__progress-value" :style="{ width: `${progressStatus}%` }"></div>
    </div>
    <span>{{ totalDuration }}</span>
  </div>
</template>

<script>
export default {
  props: {
    currentTime: {
      type: String,
    },
    progressStatus: {
      type: Number,
    },
    totalDuration: {
      type: String,
    },
  },
};
</script>

<style lang="sass">
  @import ~@/styles/defaults/variables
  @import ~@/styles/defaults/mobileFirst

  .current-time
    flex: 1
    display: flex
    padding: 0 8px
    border-left: 1px solid #4b49a3
    border-right: 1px solid #4b49a3
    font-family: $primary-font-normal
    font-size: 0.875em
    align-items: center
    &__progress
      flex: 1
      height: 5px
      background: #4a4aa2
      margin: 0 8px
    &__progress-value
      height: 100%
      width: 0
      background: $course-secondary-color
</style>
